[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.Delete

Performs actions needed when the specified tree node is deleted.

## Declaration

Source position: comctrls.pp line 3601

`protected procedure TCustomTreeView.Delete(`
`Node: TTreeNode`
`); virtual;`

## Arguments

`Node` |  | Tree node deleted from the Items in the control.

## Description

Delete is a method used to perform actions needed when the specified tree node is deleted from the list of tree nodes in Items. Delete signals the OnDeletion event handler (when assigned) for the tree node specified in Node. No actions are performed in the method if OnDeletion has not been assigned.

Delete is called when a TTreeNode instance is freed, or when the Delete method in TTreeNodes is executed.